---
layout: cp
title: Monero Observer news website
author: escapethe3RA
date: August 23, 2021
amount: 15.99
milestones:
  - name: September
    funds: 5.33
    done: 30 September 2021
    status: finished
  - name: October
    funds: 5.33
    done: 31 October 2021
    status: finished
  - name: November
    funds: 5.33
    done: 30 November 2021
    status: finished
payouts:
  - date: 15 October 2021
    amount: 5.33
  - date: 16 November 2021
    amount: 5.33
  - date: 15 December 2021
    amount: 5.33
---

# WHAT

I will maintain **Monero Observer**[^1] for the next 3 months (autumn 2021): September, October and November.

Essentially:

- DAILY: search, curate, structure and post new content (CHANGELOG available: https://www.monero.observer/changelog/)
- AS NEEDED: housekeeping (revise stories to make sure links and content is still relevant)
- AS NEEDED: outreach (engage with the community mainly via email to encourage participation and get new stories/tips faster)
- AS NEEDED: make sure the website is live and working as expected (no 404's, domain is paid, etc)
- WEEKLY: publish Monero XMR TA Report, a weekly XMR technical analysis report (reference: https://www.monero.observer/tag/analysis/)
- MONTHLY: publish Monero Observer Blitz, a monthly report that includes everything that happened the previous month (reference: https://www.monero.observer/tag/blitz/)
- (BONUS, OPTIONAL) AS NEEDED: publish Monero & privacy/opsec-related guides (reference: https://www.monero.observer/tag/guides/)

# WHO

Myself: escapethe3RA, a Monero enthusiast, a private citizen.

# WHY

I strongly believe that the Monero community would benefit from the existence of the Monero Observer, both right now and in the long run.

While there are a few other places where people can get news and stories from around the Monero community, I am proposing a slightly different and more efficient approach.

Here are some of my thoughts:

- we need a dedicated Monero-only news website that is being run by someone in our community, privately
- the general writing style should resemble a journalistic approach, based on facts and as little opinion as possible
- clean, minimalist interface, no bloat, few images
- references/sources should never be absent from each post; furthermore the author should seek to prioritize privacy-respecting platforms and thus share the links to those if possible (ie. invidio.us instead of youtube.com, nitter.net instead of twitter.com)
- readers must be allowed unrestricted access to the stories, privately via tor (zero Javascript, no cookies, no tracking or any kind of analytics service, no pop-ups, no newsletters, no CDN, no captchas, no ads whatsoever)
- smaller stories should also be covered whenever possible, in order to support and encourage community participation in a decentralized way, the Monero way (individual bloggers, small time alt platform video and guide makers, tiny merchants)
- search engine juice should be allowed to flow to every site in the community and disabled (rel=nofollow) for big tech sites (in the references/src links)
- advertising should be approached very conservatively and human-to-human contact should be prioritized whenever possible (think: email still works, word of mouth will never die, if you build something they will come so have a strong foundation ready;)
- stay away from mainstream centralized social media if possible; RSS should be encouraged, it's still the best (IMHO); potentially add decentralized social accounts (ie. federation) in the future 

There's more, but I believe these notes should suffice for now.

I have already taken the liberty to dedicate my past couple of weeks to this project: find a voice and well defined structure for the content, design the website, research and write the posts, add reference links and deploy.

You can visit the website and get a glimpse of my work so far. Before I continue with the project in this direction I need the community's feedback and approval. If you think this would be useful, comment and support my proposal. Thoughts, constructive criticism and discussions are encouraged.

If you wish to contact me you can do so by sending me an email (address on the website's about page, PGP key available for sensitive content).

# MILESTONES

The work hours that I have already put in this month will **not** be counted towards this proposal. First of all I wanted to know approximately how many hours I'd need to put in beforehand and secondly I wanted to show up with a PoC.

I am proposing to maintain Monero Observer for the next three months of autumn: September, October and November at a rate of $15/hour, 80 hours a month. The total is 15.99 XMR at the rate 1 XMR == $225 (~10% buffer from current Kraken price).

Thus, there will be three milestones, 5.33 XMR each, paid on the last day of each month: 30 September, 31 October, 30 November.

If all goes well and the community finds the project useful we can discuss 2022 plans.

Thanks for reading!

Ta-ta,
**escapethe3RA**

[^1]: https://monero.observer
